Bug 1009102 - [ipa webui] update from 6.2 to 6.5 ,'Write DNS Configuration' permission does not show up in search results
[ipa webui] update from 6.2 to 6.5 ,'Write DNS Configuration' permission doe...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 13:06 EDT by Xiyang Dong
Modified: 2013-10-18 08:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When an Identity Management server installed on Red Hat Enterprise Linux 6.2 is updated to the version provided by Red Hat Enterprise Linux 6.4 or 6.5, the new pbac permission "Write DNS Configuration" is created without any of the required object classes. Consequently, the permission may not show up on the Identity Management Web UI permission page or when the --sizelimit parameter is used for the CLI permission-find command. The permission is still accessible using the command line when the --sizelimit option is not specified. To work around this problem, run the following command on the server to trigger the DNS permission update process again and fix the list of permission object classes: ]# ipa-ldap-updater --ldapi /usr/share/ipa/updates/40-dns.update This problem can also be avoided when a Red Hat Enterprise Linux 6.4 or 6.5 replica is installed or when an Identity Management server is reinstalled or upgraded.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 09:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
before upgrade (428.21 KB, image/png)
2013-09-19 08:14 EDT, Xiyang Dong
no flags Details
after upgrade , cleaning cache and reload browser didn't help. (368.65 KB, image/png)
2013-09-19 08:16 EDT, Xiyang Dong
no flags Details

  None (edit)
Description Xiyang Dong 2013-09-17 13:06:16 EDT
Description of problem:

Update from 6.2 to 6.5 

ipa permission-find --all dns 
lists 5 permissions - 
add dns entries
read dns entries
remove dns entries
update dns entries
write dns configuration

But in UI, a search for 'dns' in rbac permissions page lists only:
read dns entries
read dns entries
remove dns entries
update dns entries

But go to Privileges -click DNS Administrators (or DNS Servers) 
it lists out all 5 permissions including write dns configuration .

The only issue is this permission exists but not showing in the search result after an upgrade from 6.2 to 6.5 


Version-Release number of selected component (if applicable):
ipa-server-2.1.3-9.el6.x86_64 to ipa-server-3.0.0-35.el6.x86_64 

How reproducible:
Always

Steps to Reproduce:
see above

Actual results:
'Write DNS Configuration' permission does not show up in search results

Expected results:
'Write DNS Configuration' permission show ups in search results

Additional info:
Comment 2 Rob Crittenden 2013-09-17 13:46:45 EDT
Please attach /var/log/ipaupgrade.log.
Comment 3 Xiyang Dong 2013-09-17 14:07:52 EDT
File too big to attach.

https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/ipaupgrade.log
Comment 4 Martin Kosek 2013-09-18 03:34:53 EDT
So you are saying that after 6.2 to 6.5 upgrade, "permission-find dns" command run in CLI returns "write dns configuration", but when you do "dns" permission search in UI, then it does not work?

If this is the case, it seems to me as some caching problem in UI. Adding Petr to advise.

Yi, did you by any chance opened the UI in 6.2, upgrade and then tried the search in the same browser? Would cleaning the cache of the browser and loading a fresh UI help?
Comment 5 Xiyang Dong 2013-09-19 08:14:55 EDT
Created attachment 799903 [details]
before upgrade
Comment 6 Xiyang Dong 2013-09-19 08:16:28 EDT
Created attachment 799905 [details]
after upgrade , cleaning cache and reload browser didn't help.
Comment 7 Petr Vobornik 2013-09-19 10:07:30 EDT
I checked the UI on that machine and results are:
* it's not Web UI issue - it doesn't get the data from IPA server
* there is definitely something wrong with combination of --sizelimit=0 option and 'Write DNS Configuration' permission, see commands below:

I also tried fresh installation(no update) of ipa-server-3.0.0-36.el6.x86_64 on RHEL 6.5 and there the command behaves correctly, so it's really an update issue.

[root@ms62 ~]# ipa permission-find dns --pkey-only --sizelimit=0
---------------------
4 permissions matched
---------------------
  Permission name: add dns entries

  Permission name: Read DNS Entries

  Permission name: remove dns entries

  Permission name: update dns entries
----------------------------
Number of entries returned 4
----------------------------

[root@ms62 ~]# ipa permission-find dns --pkey-only 
---------------------
5 permissions matched
---------------------
  Permission name: add dns entries

  Permission name: Read DNS Entries

  Permission name: remove dns entries

  Permission name: update dns entries

  Permission name: Write DNS Configuration
----------------------------
Number of entries returned 5
----------------------------

[root@ms62 ~]# ipa permission-find hbac --pkey-only 
---------------------
9 permissions matched
---------------------
  Permission name: Add HBAC rule

  Permission name: Add HBAC service groups

  Permission name: Add HBAC services

  Permission name: Delete HBAC rule

  Permission name: Delete HBAC service groups

  Permission name: Delete HBAC services

  Permission name: Manage HBAC rule membership

  Permission name: Manage HBAC service group membership

  Permission name: Modify HBAC rule
----------------------------
Number of entries returned 9
----------------------------

[root@ms62 ~]# ipa permission-find hbac --pkey-only --sizelimit=0
---------------------
9 permissions matched
---------------------
  Permission name: Add HBAC rule

  Permission name: Add HBAC service groups

  Permission name: Add HBAC services

  Permission name: Delete HBAC rule

  Permission name: Delete HBAC service groups

  Permission name: Delete HBAC services

  Permission name: Manage HBAC rule membership

  Permission name: Manage HBAC service group membership

  Permission name: Modify HBAC rule
----------------------------
Number of entries returned 9
----------------------------
Comment 8 Martin Kosek 2013-09-24 04:41:56 EDT
I investigated the machine as well, there is a small glitch in upgrade procedure, when the "Write DNS Configuration" permission object does not get "ipapermission" objectclass as other permission objects. This cause 

# Write DNS Configuration, permissions, pbac, testrelm.com
dn: cn=Write DNS Configuration,cn=permissions,cn=pbac,dc=testrelm,dc=com
objectClass: groupofnames
objectClass: top
member: cn=DNS Administrators,cn=privileges,cn=pbac,dc=testrelm,dc=com
member: cn=DNS Servers,cn=privileges,cn=pbac,dc=testrelm,dc=com
cn: Write DNS Configuration
description: Write DNS Configuration

It can be workarounded either by doing any other package update, or just by running:
# ipa-ldap-updater --ldapi /usr/share/ipa/updates/40-dns.update
Comment 10 Martin Kosek 2013-09-24 04:54:54 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3942

Note You need to log in before you can comment on or make changes to this bug.